Bug 845189 - Directory listing missing all information about the files in a directory
Directory listing missing all information about the files in a directory
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
Sudhir D
:
Depends On:
Blocks: 858435
  Show dependency treegraph
 
Reported: 2012-08-02 03:33 EDT by Veda Shankar
Modified: 2016-06-12 19:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 858435 (view as bug list)
Environment:
Last Closed: 2012-09-04 05:18:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Veda Shankar 2012-08-02 03:33:59 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Veda Shankar 2012-08-02 03:38:44 EDT
The customer is running RHS 2.0 GA without patch#1.

Please see the end of this note to see the erroneous output from "ls -ls":

[root@g00401 testu]# ls
gcc-4.7.1  gcc-4.7.1.tar.gz
[root@g00401 testu]# cd gcc-4.7.1
[root@g00401 gcc-4.7.1]# ls
libjava
[root@g00401 gcc-4.7.1]# rm -rf libjava/
rm: cannot remove directory `libjava//testsuite/libjava.loader': Directory not empty
[root@g00401 gcc-4.7.1]# cd libjava/
[root@g00401 libjava]# ls
testsuite
[root@g00401 libjava]# ls -ls
total 0
0 drwxr-xr-x 3 16446 ftp 27 Aug  1 19:44 testsuite
[root@g00401 libjava]# cd testsuite/
[root@g00401 testsuite]# ls
libjava.loader
[root@g00401 testsuite]# ls -ls
total 0
0 drwxr-xr-x 2 16446 ftp 68 Aug  1 19:44 libjava.loader
[root@g00401 testsuite]# cd libjava.loader/
[root@g00401 libjava.loader]# ls
TestEarlyGC.out  TestLeak.out  TestParent.out
[root@g00401 libjava.loader]# ls -ls
total 0
? ?--------- ? ? ? ?            ? TestEarlyGC.out
? ?--------- ? ? ? ?            ? TestLeak.out
? ?--------- ? ? ? ?            ? TestParent.out
Comment 3 Amar Tumballi 2012-09-04 00:15:45 EDT
Can you post more details about the volume info details/sosreport ?
Comment 4 Veda Shankar 2012-09-04 01:40:42 EDT
Unfortunately the customer has gone silent, let us close this for now and reopen if we reengage later.
Comment 5 Amar Tumballi 2012-09-04 05:18:57 EDT
Once we have more data, can be reopened.

Note You need to log in before you can comment on or make changes to this bug.